Subject: Re: [mobile-ip] Re: Cthon issue #279: NS source from HA during de-registration

From: Samita Chakrabarti <[email-masked]>
Date: Mon, 17 Mar 2003 00:37:35 -0800 (PST)

> 
> I guess I was not very clear in my earlier mail. my proposal is
> to let the MN respond to any NS.
> 

Ideally, the MN should not respond to any NS in the home-network
before it finishes de-registering; so I thought it should make sure
to check whether this NS is from its own HA.

But if it's harmless (not clear to me) for the MN to respond to any
NS before it de-registers, then I am OK with #1, because it's less
work for the MN.

-Samita

> > 
> > lets go with #1. I feel we are wasting our time discussing such a minor
> > issue. the window of this happening would be in terms of milliseconds.
> > and there is no harm done, because the NA from the mobile node overrides
> > the proxy NA from the home agent.
> > 
> > Vijay
> > 
> >> 2. Samita: Use a PI option in the NS to distinguish the HA from
> >>    other senders.
> >> 3. Jari: Rely on NS and RA to come from the same link-local address.
> >>    Or require this.
> >>
> >> I think we should do #2 or #1. It is not very clear to me which one
> >> should be preferred.
> >>
> >> Jari
> >>
> >>
> > 
> > 
> 
>